Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 544         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1088        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 544         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1088        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 544         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1088        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 544         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1088        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 544         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1088        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 800         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 2560        # Input  frame width
 SourceHeight0                 : 1600        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 800         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 2560        # Input  frame width
 SourceHeight0                 : 1600        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/BQTerrace-1.5x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/BQTerrace-2x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 540         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/BQTerrace-SNR.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1080        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/BasketballDrive-2x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 540         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/BasketballDrive-SNR.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1080        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/Cactus-1.5x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/Cactus-2x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 540         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/Cactus-SNR.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1080        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/Kimono-1.5x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/Kimono-2x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 540         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/Kimono-SNR.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1080        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/ParkScene-1.5x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/ParkScene-2x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 540         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/ParkScene-SNR.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1080        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 800         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 2560        # Input  frame width
 SourceHeight0                 : 1600        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/Traffic-2x.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 800         # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
+RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-3.1-dev/cfg/per-sequence-svc/Traffic-SNR.cfg
===================================================================
--- branches/SHM-3.1-dev/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 365)
+++ branches/SHM-3.1-dev/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 389)
@@ -8,4 +8,5 @@
 SourceWidth0                  : 2560        # Input  frame width
 SourceHeight0                 : 1600        # Input  frame height
+RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -16,4 +17,5 @@
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
+RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
